Bug 425832 - "MAKEDEV: mkdir: File exists" if SELinux context wrong on /dev
Summary: "MAKEDEV: mkdir: File exists" if SELinux context wrong on /dev
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: MAKEDEV
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-16 11:25 UTC by Frank Crawford
Modified: 2009-01-09 05:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:31:20 UTC


Attachments (Terms of Use)

Description Frank Crawford 2007-12-16 11:25:43 UTC
Description of problem:
Booting a kernel without an initrd image reports "MAKEDEV: mkdir: File exists"
when running /sbin/start_udev for each time it is invoked.

Version-Release number of selected component (if applicable):
MAKEDEV-3.23-1.2
udev-116-3.fc8

How reproducible:
If /dev has the wrong SELinux context (i.e. not device_t) then anytime you run
MAKEDEV -x <devce> (say MAKEDEV -x fuse) you receive the message.

Steps to Reproduce:
1. Generate a kernel that does not require an initrd image
2. Boot the new kernel
3. Observer the error messages when start_udev runs.
  
Actual results:
Error messages (which does not include the file in error!)

Expected results:
No error messages

Additional info:
The real issue here is that /etc/rc.d/rc.sysinit runs:
/sbin/restorecon  -R /dev
if /dev is mounted before running /sbin/start_udev, which occurs if booting with
a standard initrd image, but if no such image is loaded, /dev is mounted by
/sbin/start_udev but no /sbin/restorecon is run.

A side-effect of this problem is that a number of the files in /dev also end up
with the wrong context if no initrd is loaded.

Comment 1 Bug Zapper 2008-11-26 09:01:14 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-01-09 05:31:20 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.